import { authRequest } from '/@/utils/request';
/**
 * @summary 获取左侧树客户列表
 */
export const GetCustomerListTreeData = async () => {
	return authRequest({
		url: '/Auth/Corpration/Std/GetAll@V1.0',
		method: 'GET',
	});
};

/**
 * @summary 通过客户 ID, 获取所有角色
 */
export const GetAllRoleByCorpID = async (params) => {
	return authRequest({
		url: '/Auth/Role/GetByCorpID@V1.0',
		method: 'GET',
		data: params,
	});
};

/**
 * @summary 插入一个角色
 */
export const InsertARole = async (params) => {
	return authRequest({
		url: '/Auth/Role/Insert@V1.0',
		method: 'POST',
		data: params,
	});
};

/**
 * @summary 插入一个角色（同时关联该角色至指定项目）
 */
export const InsertARoleEx = async (params) => {
	return authRequest({
		url: '/Auth/Role/InsertEx@V1.0',
		method: 'POST',
		data: params,
	});
};


/**
 * @summary 更新一个角色记录
 */
export const UpdateARole = async (params) => {
	return authRequest({
		url: '/Auth/Role/Update@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 删除一条角色记录
 */
export const DeleteARole = async (params) => {
	return authRequest({
		url: '/Auth/Role/DeleteByID@V1.0',
		method: 'DELETE',
		params: params,
	});
};


/**
 * @summary 删除一条角色记录（同时将该角色与项目解绑)
 */
export const DeleteARoleEx = async (params) => {
	return authRequest({
		url: '/Auth/Role/DeleteExByID@V1.0',
		method: 'DELETE',
		params: params,
	});
};

/**
 * @summary 更新角色表格排序码
 */
export const UpdateRoleSorter = async (params) => {
	return authRequest({
		url: '/Auth/Role/UpdateSorter@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 检查是否已存在编码
 */
export const GetIsExistRoleCode = async (params) => {
	return authRequest({
		url: '/Auth/Role/IsExistCode@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 更新角色使用状态
 */
export const UpdateRoleUseStatus = async (params) => {
	return authRequest({
		url: '/Auth/Role/UpdateUseStatus@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 获取当前客户涉及的所有项目
 */
export const GetProjectTableByCustomerID = async (params) => {
	return authRequest({
		url: '/Auth/Project/Std/GetByCorpID@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 获取角色关联的所有用户
 */
export const GetUserByRoleID = async (params) => {
	return authRequest({
		url: '/Auth/Role/User/Mapping/GetAuthorizeUserList@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 设置关联用户是否是该角色
 */
export const SetMapUserRole = async (params) => {
	return authRequest({
		url: '/Auth/Role/User/Mapping/Set@V1.0',
		method: 'POST',
		data: params,
	});
};
